Package Gnumed :: Package pycommon :: Module gmDateTime :: Class cPlatformLocalTimezone |
[frames] | no frames]

# Class cPlatformLocalTimezone

source code

         object --+
                  |
    datetime.tzinfo --+
                      |
                     cPlatformLocalTimezone

Instance Methods
__init__(self) x.__init__(...) initializes x; see help(type(x)) for signature | source code
fromutc(self, dt) datetime in UTC -> datetime in local time. | source code
utcoffset(self, dt) datetime -> minutes east of UTC (negative for west of UTC). | source code
dst(self, dt) datetime -> DST offset in minutes east of UTC. | source code
tzname(self, dt) datetime -> string name of time zone. | source code
Inherited from `datetime.tzinfo`: `__getattribute__`, `__new__`, `__reduce__` Inherited from `object`: `__delattr__`, `__format__`, `__hash__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self) (Constructor) | source code
x.__init__(...) initializes x; see help(type(x)) for signature Overrides: object.__init__ (inherited documentation)

### fromutc(self, dt) | source code
datetime in UTC -> datetime in local time. Overrides: datetime.tzinfo.fromutc (inherited documentation)

### utcoffset(self, dt) | source code
datetime -> minutes east of UTC (negative for west of UTC). Overrides: datetime.tzinfo.utcoffset (inherited documentation)

### dst(self, dt) | source code
datetime -> DST offset in minutes east of UTC. Overrides: datetime.tzinfo.dst (inherited documentation)

### tzname(self, dt) | source code
datetime -> string name of time zone. Overrides: datetime.tzinfo.tzname (inherited documentation)